#ifndef I2C_KEYBOARD_DETECTION_H
#define I2C_KEYBOARD_DETECTION_H

#include <QMainWindow>

#include <qserialport.h>

#include <qserialportinfo.h>

namespace Ui {
class i2c_keyboard_detection;
}

class i2c_keyboard_detection : public QMainWindow
{
    Q_OBJECT

public:
    explicit i2c_keyboard_detection(QWidget *parent = 0);
    ~i2c_keyboard_detection();

private slots:
    void comDataReceived();

    void on_keyList_itemSelectionChanged();
    void keyPressEvent(QKeyEvent *event);

    void on_comRefleshList_clicked();

    void on_comConnect_clicked();

    void on_enSendKeyToReport_clicked(bool checked);

    void on_saveKbdReport_clicked();

private:
    Ui::i2c_keyboard_detection *ui;

    QStringList m_keyComments;

    QSerialPort m_com;

    QByteArray m_kbdDetectBytes;

    QVector<int64_t> m_kbdDetectData;

    QVector<QString> m_kbdDetectReport;
};

#endif // I2C_KEYBOARD_DETECTION_H
